// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace Circ.Frontend.GtkSharp {
    
    
    public partial class ChannelPanel {
        
        private Gtk.VBox vbox2;
        
        private Gtk.Entry topicEntry;
        
        private Gtk.HPaned hpaned1;
        
        private Gtk.ScrolledWindow textWindow;
        
        private Gtk.ScrolledWindow userWindow;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize();
            // Widget Circ.Frontend.GtkSharp.ChannelPanel
            Stetic.BinContainer.Attach(this);
            this.Events = ((Gdk.EventMask)(256));
            this.Name = "Circ.Frontend.GtkSharp.ChannelPanel";
            // Container child Circ.Frontend.GtkSharp.ChannelPanel.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.topicEntry = new Gtk.Entry();
            this.topicEntry.Name = "topicEntry";
            this.topicEntry.IsEditable = false;
            this.topicEntry.InvisibleChar = '●';
            this.vbox2.Add(this.topicEntry);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox2[this.topicEntry]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            w1.Padding = ((uint)(2));
            // Container child vbox2.Gtk.Box+BoxChild
            this.hpaned1 = new Gtk.HPaned();
            this.hpaned1.Name = "hpaned1";
            this.hpaned1.Position = 329;
            // Container child hpaned1.Gtk.Paned+PanedChild
            this.textWindow = new Gtk.ScrolledWindow();
            this.textWindow.Name = "textWindow";
            this.textWindow.VscrollbarPolicy = ((Gtk.PolicyType)(1));
            this.textWindow.HscrollbarPolicy = ((Gtk.PolicyType)(2));
            this.textWindow.ShadowType = ((Gtk.ShadowType)(2));
            this.hpaned1.Add(this.textWindow);
            Gtk.Paned.PanedChild w2 = ((Gtk.Paned.PanedChild)(this.hpaned1[this.textWindow]));
            w2.Resize = false;
            // Container child hpaned1.Gtk.Paned+PanedChild
            this.userWindow = new Gtk.ScrolledWindow();
            this.userWindow.WidthRequest = 100;
            this.userWindow.Name = "userWindow";
            this.userWindow.VscrollbarPolicy = ((Gtk.PolicyType)(1));
            this.userWindow.HscrollbarPolicy = ((Gtk.PolicyType)(2));
            this.userWindow.ShadowType = ((Gtk.ShadowType)(1));
            this.hpaned1.Add(this.userWindow);
            this.vbox2.Add(this.hpaned1);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox2[this.hpaned1]));
            w4.Position = 1;
            this.Add(this.vbox2);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
